Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get permission set

Prev Next

Available in Classic and VPC

Get permission set details.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/permission-sets/{permissionSetId}

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
permissionSetId String Required Permission set ID

Request example

The request example is as follows:

curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/permission-sets/3fcd3c17-****-****-****-2a594248bf28' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
permissionSetId String - Permission set ID
permissionSetName String - Permission set name
description String - Permission set description
nrn String - NAVER Cloud Platform resource identification value for permission set
createdAt String - Permission set creation date and time
  • ISO 8601 format
systemManagedPolicyList Array - System Managed policy list: systemManagedPolicyList
userCreatedPolicyList Array - User Created policy list: userCreatedPolicyList
accountList Array - Account list: accountList

systemManagedPolicyList

The following describes systemManagedPolicyList.

Field Type Required Description
policyId String - System Managed policy ID
policyName String - System Managed policy name
policyDescription String - System Managed policy description
policyCreatedAt String - System Managed policy creation date and time
  • ISO 8601 format

userCreatedPolicyList

The following describes userCreatedPolicyList.

Field Type Required Description
userCreatedPolicyName String - User Created policy name

accountList

The following describes accountList.

Field Type Required Description
accountName String - Account username
accountAlias String - Account nickname
accountLoginId String - Account login ID
accountType String - Account type
  • Master | Member
    • Master: master account
    • Member: member account
accountGroup String - Account group
accountMbrNo Number - Account member ID (MemberNo)

Response status codes

For information about the response status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
    "permissionSetId": "3fcd3c17-****-****-****-2a594248bf28",
    "permissionSetName": "permission",
    "description": "",
    "nrn": "nrn:PUB:SSO::*******:PermissionSet/3fcd3c17-****-****-****-2a594248bf28",
    "createdAt": "2025-01-03T02:26:47Z",
    "systemManagedPolicyList": [
        {
            "policyId": "3b773a30-****-****-****-246e96592200",
            "policyName": "NCP_COST_EXPLORER_VIEWER",
            "policyDescription": "Permission to only view items and their details in Cost Explorer",
            "policyCreatedAt": "2024-11-21T09:23:13Z"
        }
    ],
    "userCreatedPolicyList": [
        {
            "userCreatedPolicyName": "policy010"
        }
    ],
    "accountList": [
        {
            "accountName": "Gildong Hong",
            "accountAlias": "-",
            "accountLoginId": "******@ncloud.com",
            "accountType": "-",
            "accountGroup": "-",
            "accountMbrNo": *******
        }
    ]
}